<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Jan 19 16:20:19 PST 2021 -->
<title>CommonCrawlFormatJettinson (apache-nutch 1.18 API)</title>
<meta name="date" content="2021-01-19">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="CommonCrawlFormatJettinson (apache-nutch 1.18 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/CommonCrawlFormatJettinson.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/apache/nutch/tools/CommonCrawlFormatJackson.html" title="class in org.apache.nutch.tools"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/apache/nutch/tools/CommonCrawlFormatSimple.html" title="class in org.apache.nutch.tools"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/nutch/tools/CommonCrawlFormatJettinson.html" target="_top">Frames</a></li>
<li><a href="CommonCrawlFormatJettinson.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.apache.nutch.tools.AbstractCommonCrawlFormat">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.nutch.tools</div>
<h2 title="Class CommonCrawlFormatJettinson" class="title">Class CommonCrawlFormatJettinson</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../org/apache/nutch/tools/AbstractCommonCrawlFormat.html" title="class in org.apache.nutch.tools">org.apache.nutch.tools.AbstractCommonCrawlFormat</a></li>
<li>
<ul class="inheritance">
<li>org.apache.nutch.tools.CommonCrawlFormatJettinson</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/io/Closeable.html?is-external=true" title="class or interface in java.io">Closeable</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/AutoCloseable.html?is-external=true" title="class or interface in java.lang">AutoCloseable</a>, <a href="../../../../org/apache/nutch/tools/CommonCrawlFormat.html" title="interface in org.apache.nutch.tools">CommonCrawlFormat</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">CommonCrawlFormatJettinson</span>
extends <a href="../../../../org/apache/nutch/tools/AbstractCommonCrawlFormat.html" title="class in org.apache.nutch.tools">AbstractCommonCrawlFormat</a></pre>
<div class="block">This class provides methods to map crawled data on JSON using Jettinson APIs.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.apache.nutch.tools.AbstractCommonCrawlFormat">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.apache.nutch.tools.<a href="../../../../org/apache/nutch/tools/AbstractCommonCrawlFormat.html" title="class in org.apache.nutch.tools">AbstractCommonCrawlFormat</a></h3>
<code><a href="../../../../org/apache/nutch/tools/AbstractCommonCrawlFormat.html#conf">conf</a>, <a href="../../../../org/apache/nutch/tools/AbstractCommonCrawlFormat.html#content">content</a>, <a href="../../../../org/apache/nutch/tools/AbstractCommonCrawlFormat.html#inLinks">inLinks</a>, <a href="../../../../org/apache/nutch/tools/AbstractCommonCrawlFormat.html#jsonArray">jsonArray</a>, <a href="../../../../org/apache/nutch/tools/AbstractCommonCrawlFormat.html#keyPrefix">keyPrefix</a>, <a href="../../../../org/apache/nutch/tools/AbstractCommonCrawlFormat.html#LOG">LOG</a>, <a href="../../../../org/apache/nutch/tools/AbstractCommonCrawlFormat.html#metadata">metadata</a>, <a href="../../../../org/apache/nutch/tools/AbstractCommonCrawlFormat.html#reverseKey">reverseKey</a>, <a href="../../../../org/apache/nutch/tools/AbstractCommonCrawlFormat.html#reverseKeyValue">reverseKeyValue</a>, <a href="../../../../org/apache/nutch/tools/AbstractCommonCrawlFormat.html#simpleDateFormat">simpleDateFormat</a>, <a href="../../../../org/apache/nutch/tools/AbstractCommonCrawlFormat.html#url">url</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/tools/CommonCrawlFormatJettinson.html#CommonCrawlFormatJettinson-java.lang.String-org.apache.nutch.protocol.Content-org.apache.nutch.metadata.Metadata-org.apache.hadoop.conf.Configuration-org.apache.nutch.tools.CommonCrawlConfig-">CommonCrawlFormatJettinson</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;url,
                          <a href="../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol">Content</a>&nbsp;content,
                          <a href="../../../../org/apache/nutch/metadata/Metadata.html" title="class in org.apache.nutch.metadata">Metadata</a>&nbsp;metadata,
                          <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configuration.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configuration</a>&nbsp;nutchConf,
                          <a href="../../../../org/apache/nutch/tools/CommonCrawlConfig.html" title="class in org.apache.nutch.tools">CommonCrawlConfig</a>&nbsp;config)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/tools/CommonCrawlFormatJettinson.html#closeArray-java.lang.String-boolean-boolean-">closeArray</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key,
          boolean&nbsp;nested,
          boolean&nbsp;newline)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/tools/CommonCrawlFormatJettinson.html#closeObject-java.lang.String-">closeObject</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>protected <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/tools/CommonCrawlFormatJettinson.html#generateJson--">generateJson</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/tools/CommonCrawlFormatJettinson.html#startArray-java.lang.String-boolean-boolean-">startArray</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key,
          boolean&nbsp;nested,
          boolean&nbsp;newline)</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/tools/CommonCrawlFormatJettinson.html#startObject-java.lang.String-">startObject</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key)</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/tools/CommonCrawlFormatJettinson.html#writeArrayValue-java.lang.String-">writeArrayValue</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/tools/CommonCrawlFormatJettinson.html#writeKeyNull-java.lang.String-">writeKeyNull</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key)</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/tools/CommonCrawlFormatJettinson.html#writeKeyValue-java.lang.String-java.lang.String-">writeKeyValue</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key,
             <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.apache.nutch.tools.AbstractCommonCrawlFormat">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.apache.nutch.tools.<a href="../../../../org/apache/nutch/tools/AbstractCommonCrawlFormat.html" title="class in org.apache.nutch.tools">AbstractCommonCrawlFormat</a></h3>
<code><a href="../../../../org/apache/nutch/tools/AbstractCommonCrawlFormat.html#close--">close</a>, <a href="../../../../org/apache/nutch/tools/AbstractCommonCrawlFormat.html#getImported--">getImported</a>, <a href="../../../../org/apache/nutch/tools/AbstractCommonCrawlFormat.html#getInLinks--">getInLinks</a>, <a href="../../../../org/apache/nutch/tools/AbstractCommonCrawlFormat.html#getJsonData--">getJsonData</a>, <a href="../../../../org/apache/nutch/tools/AbstractCommonCrawlFormat.html#getJsonData-java.lang.String-org.apache.nutch.protocol.Content-org.apache.nutch.metadata.Metadata-">getJsonData</a>, <a href="../../../../org/apache/nutch/tools/AbstractCommonCrawlFormat.html#getJsonData-java.lang.String-org.apache.nutch.protocol.Content-org.apache.nutch.metadata.Metadata-org.apache.nutch.parse.ParseData-">getJsonData</a>, <a href="../../../../org/apache/nutch/tools/AbstractCommonCrawlFormat.html#getKey--">getKey</a>, <a href="../../../../org/apache/nutch/tools/AbstractCommonCrawlFormat.html#getMethod--">getMethod</a>, <a href="../../../../org/apache/nutch/tools/AbstractCommonCrawlFormat.html#getRequestAccept--">getRequestAccept</a>, <a href="../../../../org/apache/nutch/tools/AbstractCommonCrawlFormat.html#getRequestAcceptEncoding--">getRequestAcceptEncoding</a>, <a href="../../../../org/apache/nutch/tools/AbstractCommonCrawlFormat.html#getRequestAcceptLanguage--">getRequestAcceptLanguage</a>, <a href="../../../../org/apache/nutch/tools/AbstractCommonCrawlFormat.html#getRequestContactEmail--">getRequestContactEmail</a>, <a href="../../../../org/apache/nutch/tools/AbstractCommonCrawlFormat.html#getRequestContactName--">getRequestContactName</a>, <a href="../../../../org/apache/nutch/tools/AbstractCommonCrawlFormat.html#getRequestHostAddress--">getRequestHostAddress</a>, <a href="../../../../org/apache/nutch/tools/AbstractCommonCrawlFormat.html#getRequestHostName--">getRequestHostName</a>, <a href="../../../../org/apache/nutch/tools/AbstractCommonCrawlFormat.html#getRequestRobots--">getRequestRobots</a>, <a href="../../../../org/apache/nutch/tools/AbstractCommonCrawlFormat.html#getRequestSoftware--">getRequestSoftware</a>, <a href="../../../../org/apache/nutch/tools/AbstractCommonCrawlFormat.html#getRequestUserAgent--">getRequestUserAgent</a>, <a href="../../../../org/apache/nutch/tools/AbstractCommonCrawlFormat.html#getResponseAddress--">getResponseAddress</a>, <a href="../../../../org/apache/nutch/tools/AbstractCommonCrawlFormat.html#getResponseContent--">getResponseContent</a>, <a href="../../../../org/apache/nutch/tools/AbstractCommonCrawlFormat.html#getResponseContentEncoding--">getResponseContentEncoding</a>, <a href="../../../../org/apache/nutch/tools/AbstractCommonCrawlFormat.html#getResponseContentType--">getResponseContentType</a>, <a href="../../../../org/apache/nutch/tools/AbstractCommonCrawlFormat.html#getResponseDate--">getResponseDate</a>, <a href="../../../../org/apache/nutch/tools/AbstractCommonCrawlFormat.html#getResponseHostName--">getResponseHostName</a>, <a href="../../../../org/apache/nutch/tools/AbstractCommonCrawlFormat.html#getResponseServer--">getResponseServer</a>, <a href="../../../../org/apache/nutch/tools/AbstractCommonCrawlFormat.html#getResponseStatus--">getResponseStatus</a>, <a href="../../../../org/apache/nutch/tools/AbstractCommonCrawlFormat.html#getTimestamp--">getTimestamp</a>, <a href="../../../../org/apache/nutch/tools/AbstractCommonCrawlFormat.html#getUrl--">getUrl</a>, <a href="../../../../org/apache/nutch/tools/AbstractCommonCrawlFormat.html#setInLinks-java.util.List-">setInLinks</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="CommonCrawlFormatJettinson-java.lang.String-org.apache.nutch.protocol.Content-org.apache.nutch.metadata.Metadata-org.apache.hadoop.conf.Configuration-org.apache.nutch.tools.CommonCrawlConfig-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>CommonCrawlFormatJettinson</h4>
<pre>public&nbsp;CommonCrawlFormatJettinson(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;url,
                                  <a href="../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol">Content</a>&nbsp;content,
                                  <a href="../../../../org/apache/nutch/metadata/Metadata.html" title="class in org.apache.nutch.metadata">Metadata</a>&nbsp;metadata,
                                  <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configuration.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configuration</a>&nbsp;nutchConf,
                                  <a href="../../../../org/apache/nutch/tools/CommonCrawlConfig.html" title="class in org.apache.nutch.tools">CommonCrawlConfig</a>&nbsp;config)
                           throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="writeKeyValue-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>writeKeyValue</h4>
<pre>protected&nbsp;void&nbsp;writeKeyValue(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key,
                             <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)
                      throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/apache/nutch/tools/AbstractCommonCrawlFormat.html#writeKeyValue-java.lang.String-java.lang.String-">writeKeyValue</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/apache/nutch/tools/AbstractCommonCrawlFormat.html" title="class in org.apache.nutch.tools">AbstractCommonCrawlFormat</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code></dd>
</dl>
</li>
</ul>
<a name="writeKeyNull-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>writeKeyNull</h4>
<pre>protected&nbsp;void&nbsp;writeKeyNull(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key)
                     throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/apache/nutch/tools/AbstractCommonCrawlFormat.html#writeKeyNull-java.lang.String-">writeKeyNull</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/apache/nutch/tools/AbstractCommonCrawlFormat.html" title="class in org.apache.nutch.tools">AbstractCommonCrawlFormat</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code></dd>
</dl>
</li>
</ul>
<a name="startArray-java.lang.String-boolean-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>startArray</h4>
<pre>protected&nbsp;void&nbsp;startArray(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key,
                          boolean&nbsp;nested,
                          boolean&nbsp;newline)
                   throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/apache/nutch/tools/AbstractCommonCrawlFormat.html#startArray-java.lang.String-boolean-boolean-">startArray</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/apache/nutch/tools/AbstractCommonCrawlFormat.html" title="class in org.apache.nutch.tools">AbstractCommonCrawlFormat</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code></dd>
</dl>
</li>
</ul>
<a name="closeArray-java.lang.String-boolean-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>closeArray</h4>
<pre>protected&nbsp;void&nbsp;closeArray(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key,
                          boolean&nbsp;nested,
                          boolean&nbsp;newline)
                   throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/apache/nutch/tools/AbstractCommonCrawlFormat.html#closeArray-java.lang.String-boolean-boolean-">closeArray</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/apache/nutch/tools/AbstractCommonCrawlFormat.html" title="class in org.apache.nutch.tools">AbstractCommonCrawlFormat</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code></dd>
</dl>
</li>
</ul>
<a name="writeArrayValue-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>writeArrayValue</h4>
<pre>protected&nbsp;void&nbsp;writeArrayValue(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)
                        throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/apache/nutch/tools/AbstractCommonCrawlFormat.html#writeArrayValue-java.lang.String-">writeArrayValue</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/apache/nutch/tools/AbstractCommonCrawlFormat.html" title="class in org.apache.nutch.tools">AbstractCommonCrawlFormat</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code></dd>
</dl>
</li>
</ul>
<a name="startObject-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>startObject</h4>
<pre>protected&nbsp;void&nbsp;startObject(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key)
                    throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/apache/nutch/tools/AbstractCommonCrawlFormat.html#startObject-java.lang.String-">startObject</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/apache/nutch/tools/AbstractCommonCrawlFormat.html" title="class in org.apache.nutch.tools">AbstractCommonCrawlFormat</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code></dd>
</dl>
</li>
</ul>
<a name="closeObject-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>closeObject</h4>
<pre>protected&nbsp;void&nbsp;closeObject(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key)
                    throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/apache/nutch/tools/AbstractCommonCrawlFormat.html#closeObject-java.lang.String-">closeObject</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/apache/nutch/tools/AbstractCommonCrawlFormat.html" title="class in org.apache.nutch.tools">AbstractCommonCrawlFormat</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code></dd>
</dl>
</li>
</ul>
<a name="generateJson--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>generateJson</h4>
<pre>protected&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;generateJson()
                       throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/apache/nutch/tools/AbstractCommonCrawlFormat.html#generateJson--">generateJson</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/apache/nutch/tools/AbstractCommonCrawlFormat.html" title="class in org.apache.nutch.tools">AbstractCommonCrawlFormat</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/CommonCrawlFormatJettinson.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/apache/nutch/tools/CommonCrawlFormatJackson.html" title="class in org.apache.nutch.tools"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/apache/nutch/tools/CommonCrawlFormatSimple.html" title="class in org.apache.nutch.tools"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/nutch/tools/CommonCrawlFormatJettinson.html" target="_top">Frames</a></li>
<li><a href="CommonCrawlFormatJettinson.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.apache.nutch.tools.AbstractCommonCrawlFormat">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2021 The Apache Software Foundation</small></p>
</body>
</html>
